org.apache.xmlbeans.impl.xb.xmlconfig

## Interface Qnameconfig

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    QnameconfigImpl

      public interface Qnameconfig
      extends XmlObject

  An XML qnameconfig(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<Qnameconfig>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJavaname()` Gets the "javaname" attribute
    `QName` | `getName()` Gets the "name" attribute
    `List` | `getTarget()` Gets the "target" attribute
    `boolean` | `isSetJavaname()` True if has "javaname" attribute
    `boolean` | `isSetName()` True if has "name" attribute
    `boolean` | `isSetTarget()` True if has "target" attribute
    `void` | `setJavaname(String javaname)` Sets the "javaname" attribute
    `void` | `setName(QName name)` Sets the "name" attribute
    `void` | `setTarget(List target)` Sets the "target" attribute
    `void` | `unsetJavaname()` Unsets the "javaname" attribute
    `void` | `unsetName()` Unsets the "name" attribute
    `void` | `unsetTarget()` Unsets the "target" attribute
    `XmlString` | `xgetJavaname()` Gets (as xml) the "javaname" attribute
    `XmlQName` | `xgetName()` Gets (as xml) the "name" attribute
    `Qnametargetlist` | `xgetTarget()` Gets (as xml) the "target" attribute
    `void` | `xsetJavaname(XmlString javaname)` Sets (as xml) the "javaname" attribute
    `void` | `xsetName(XmlQName name)` Sets (as xml) the "name" attribute
    `void` | `xsetTarget(Qnametargetlist target)` Sets (as xml) the "target" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<Qnameconfig> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getName

          QName getName()

      Gets the "name" attribute

    - #### xgetName

          XmlQName xgetName()

      Gets (as xml) the "name" attribute

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute

    - #### setName

          void setName(QName name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName(XmlQName name)

      Sets (as xml) the "name" attribute

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute

    - #### getJavaname

          String getJavaname()

      Gets the "javaname" attribute

    - #### xgetJavaname

          XmlString xgetJavaname()

      Gets (as xml) the "javaname" attribute

    - #### isSetJavaname

          boolean isSetJavaname()

      True if has "javaname" attribute

    - #### setJavaname

          void setJavaname(String javaname)

      Sets the "javaname" attribute

    - #### xsetJavaname

          void xsetJavaname(XmlString javaname)

      Sets (as xml) the "javaname" attribute

    - #### unsetJavaname

          void unsetJavaname()

      Unsets the "javaname" attribute

    - #### getTarget

          List getTarget()

      Gets the "target" attribute

    - #### xgetTarget

          Qnametargetlist xgetTarget()

      Gets (as xml) the "target" attribute

    - #### isSetTarget

          boolean isSetTarget()

      True if has "target" attribute

    - #### setTarget

          void setTarget(List target)

      Sets the "target" attribute

    - #### xsetTarget

          void xsetTarget(Qnametargetlist target)

      Sets (as xml) the "target" attribute

    - #### unsetTarget

          void unsetTarget()

      Unsets the "target" attribute